/* locdbase.h -- trivial shim location database for mobile, wireless routing */

/*

  Copyright (C) 2000 President and Fellows of Harvard College

  All rights reserved.

  NOTICE: This software is provided "as is", without any warranty,
  including any implied warranty for merchantability or fitness for a
  particular purpose.  Under no circumstances shall Harvard University
  or its faculty, staff, students or agents be liable for any use of,
  misuse of, or inability to use this software, including incidental
  and consequential damages.

  License is hereby given to use, modify, and redistribute this
  software, in whole or in part, for any commercial or non-commercial
  purpose, provided that the user agrees to the terms of this
  copyright notice, including disclaimer of warranty, and provided
  that this copyright notice, including disclaimer of warranty, is
  preserved in the source code and documentation of anything derived
  from this software.  Any redistributor of this software or anything
  derived from this software assumes responsibility for ensuring that
  any parties to whom such a redistribution is made are fully aware of
  the terms of this license and disclaimer.

  Author: Brad Karp, Harvard University EECS, July, 1999

*/

#ifndef ns_locdbase_h
#define ns_locdbase_h

#include "object.h"
#include "address.h"

class MobileNode;

class LocDbase : public NsObject {
public:
  LocDbase();
  ~LocDbase();
  MobileNode *nlookup(int);
protected:
  void recv(Packet *, Handler *) { };
  int command(int argc, const char * const * argv);
  /* commands:
   *   register int-address MobileNode *
   */
private:
  // lookup table
  MobileNode **table_;
  int nn_;
};
#endif
